@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Nunito', sans-serif !important;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

#splash {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #f8f8f8;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

/* .spinner {
    border: 16px solid #f3f3f3;
    border-top: 16px solid #3498db;
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}*/

h1 {
    margin-top: 20px;
    font-family: Arial, sans-serif;
    font-size: 24px;
}

.collapse {
    visibility: unset !important;
}

input, textarea {
    border: solid 1px black;
}

label {
    font-size: 0.9rem;
    font-weight: 600;
}

.range-slider {
    height: 5px;
    position: relative;
    background-color: #E8EAED;
}

.range-selected {
    height: 100%;
    left: 0;
    right: 0;
    position: absolute;
    border-radius: 5px;
    background-color: #7C58D3;
}

.range-input {
    position: relative;
}

    .range-input input {
        cursor: pointer;
        position: absolute;
        width: 100%;
        height: 5px;
        top: -5px;
        background: none;
        border: none;
        pointer-events: none;
        -webkit-appearance: none;
        -moz-appearance: none;
    }

        .range-input input::-webkit-slider-thumb {
            height: 20px;
            width: 20px;
            border-radius: 50%;
            border: 3px solid #7C58D3;
            background-color: #fff;
            pointer-events: auto;
            -webkit-appearance: none;
        }

        .range-input input::-moz-range-thumb {
            height: 15px;
            width: 15px;
            border-radius: 50%;
            border: 3px solid #7C58D3;
            background-color: #fff;
            pointer-events: auto;
            -moz-appearance: none;
        }

.range-price {
    margin: 30px 0;
    width: 100%;
    display: flex;
}

    .range-price label {
        margin-right: 5px;
        line-height: 36px;
    }

    .range-price input {
        padding: 5px;
    }

        .range-price input:first-of-type {
            margin-right: 15px;
        }

.form-check-label {
    font-size: 1.1rem !important;
}

.form-check-input {
    width: 1.2rem !important;
    height: 1.2rem !important;
}

    .form-check-input:checked {
        background-color: #7C58D3 !important;
        border-color: #7C58D3 !important;
        width: 1.2rem;
        height: 1.2rem;
        line-height: 1.2rem;
    }

input, select, textarea {
    border-width: 2px !important;
}

    input:focus, select:focus, textarea:focus {
        border-width: 2px;
        border-color: #7C58D3 !important;
        outline: 0 !important;
        box-shadow: none !important;
    }

.search-result-item:hover > .search-result-item-member-info > .search-result-item-member-info-name {
    text-decoration: underline;
}

.loader-container {
    position: relative;
    height: 200px;
    width: 200px;
}

    .loader-container svg {
        position: absolute;
    }


.spinner {
    animation: rotator 1.4s linear infinite;
}

#splash {
    z-index: 99999;
}

.loader-dog {
    left: 10px;
    bottom: 10px;
    width: 186px;
    height: auto;
}

@keyframes rotator {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(270deg);
    }
}

.path {
    stroke-dasharray: 622;
    stroke-dashoffset: 0;
    transform-origin: center;
    stroke: #8B5CF6;
    animation: dash 1.4s ease-in-out infinite;
}


@keyframes dash {
    0% {
        stroke-dashoffset: 622;
    }

    50% {
        stroke-dashoffset: 155.5;
        transform: rotate(135deg);
    }

    100% {
        stroke-dashoffset: 622;
        transform: rotate(450deg);
    }
}

.blazored-typeahead__controls, .blazored-typeahead__input-mask-wrapper, .blazored-typeahead__input-mask {
    border: none !important;
    height: 39px !important;
}

.blazored-typeahead:focus-within {
    border-width: 2px;
    border-color: #7C58D3 !important;
    outline: 0 !important;
    box-shadow: none !important;
}

.blazored-typeahead {
    border: solid 2px #ced4da !important;
}

.blazored-typeahead__active-item, .blazored-typeahead__result:hover {
    background-color: #7C58D3 !important;
    border-color: white !important;
}

.blazored-typeahead__results {
    z-index: 9999 !important;
}

.mud-input-control-input-container {
    position: relative;
}

.leaflet-top {
    z-index: unset !important;
}

.mud-snackbar {
    display: flex;
    flex-grow: initial;
    padding: 6px 16px;
    align-items: center;
    position: relative;
    pointer-events: auto;
    font-weight: 400;
    line-height: 1.43;
    overflow: hidden;
    margin-top: 16px;
    min-width: 288px;
    max-width: 500px;
    border-radius: var(--mud-default-borderradius);
    box-shadow: 0 3px 5px -1px rgba(0,0,0,.2),0 6px 10px 0 rgba(0,0,0,.14),0 1px 18px 0 rgba(0,0,0,.12);
}

    .mud-snackbar.force-cursor {
        cursor: pointer;
    }

    .mud-snackbar.mud-snackbar-blurred {
        backdrop-filter: blur(18px);
    }

    .mud-snackbar.mud-snackbar-surface {
        background: var(--mud-palette-surface);
    }

    .mud-snackbar .mud-snackbar-content-message {
        padding: 8px 0;
        overflow-wrap: anywhere;
    }

    .mud-snackbar .mud-snackbar-content-action {
        display: flex;
        align-items: center;
        margin-left: auto;
        margin-right: -8px;
        padding-left: 16px;
        margin-inline-start: auto;
        margin-inline-end: -8px;
        padding-inline-start: 16px;
        padding-inline-end: unset;
    }

        .mud-snackbar .mud-snackbar-content-action > button {
            color: inherit;
        }

.mud-snackbar-location-top-left {
    top: 24px;
    left: 24px;
}

.mud-snackbar-location-top-center {
    top: 24px;
    left: 50%;
    transform: translateX(-50%);
}

.mud-snackbar-location-top-right {
    top: 24px;
    right: 24px;
}

.mud-snackbar-location-bottom-right {
    right: 24px;
    bottom: 24px;
}

.mud-snackbar-location-bottom-center {
    bottom: 24px;
    left: 50%;
    transform: translateX(-50%);
}

.mud-snackbar-location-bottom-left {
    bottom: 24px;
    left: 24px;
}

#mud-snackbar-container {
    position: fixed;
    z-index: var(--mud-zindex-snackbar);
    pointer-events: none;
}

.mud-snackbar-icon {
    display: flex;
    opacity: .9;
    padding: 7px 0;
    font-size: 22px;
    margin-right: 12px;
    margin-inline-end: 12px;
    margin-inline-start: unset;
}

.mud-alert-filled-success {
    background: green;
    color: white;
}

.mud-alert-filled-error {
    background: red;
    color: white;
}

.leaflet-control-zoom-in {
    user-select: none !important;
}


.leaflet-control-zoom-out {
    user-select: none !important;
}

.mud-picker-toolbar > .mud-button-date > span {
    font-size: 1.2rem;
    padding-left: 5px;
}

.bg-transparent {
    background: transparent !important;
}
